DynEnumOperations (Java Platform SE 8 )
Keywords: org.omg.DynamicAny.DynEnumOperations interface
Date: 2026-01-21

org.omg.DynamicAny

## Interface DynEnumOperations

- All Superinterfaces:
    DynAnyOperations
  All Known Subinterfaces:
    DynEnum
  All Known Implementing Classes:
    _DynEnumStub

      public interface DynEnumOperations
      extends DynAnyOperations

  DynEnum objects support the manipulation of IDL enumerated values. The current position of a DynEnum is always -1.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `get_as_string()` Returns the value of the DynEnum as an IDL identifier.
    `int` | `get_as_ulong()` Returns the value of the DynEnum as the enumerated value's ordinal value.
    `void` | `set_as_string(String value)` Sets the value of the DynEnum to the enumerated value whose IDL identifier is passed in the value parameter.
    `void` | `set_as_ulong(int value)` Sets the value of the DynEnum as the enumerated value's ordinal value.

    - ### Methods inherited from interface org.omg.DynamicAny.DynAnyOperations

      `assign, component_count, copy, current_component, destroy, equal, from_any, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

- - ### Method Detail

    - #### get_as_string

          String get_as_string()

      Returns the value of the DynEnum as an IDL identifier.

    - #### set_as_string

          void set_as_string(String value)
                      throws InvalidValue

      Sets the value of the DynEnum to the enumerated value whose IDL identifier is passed in the value parameter.
      Throws:
        `InvalidValue` - If value contains a string that is not a valid IDL identifier for the corresponding enumerated type

    - #### get_as_ulong

          int get_as_ulong()

      Returns the value of the DynEnum as the enumerated value's ordinal value. Enumerators have ordinal values 0 to n-1, as they appear from left to right in the corresponding IDL definition.

    - #### set_as_ulong

          void set_as_ulong(int value)
                     throws InvalidValue

      Sets the value of the DynEnum as the enumerated value's ordinal value.
      Throws:
        `InvalidValue` - If value contains a value that is outside the range of ordinal values for the corresponding enumerated type

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.